Name:           efreet
Version:        1.0.0
Release:        2%{?dist}
Summary:        Implementation of several specifications from freedesktop.org

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ecore-devel chrpath pkgconfig 

%description
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are 
included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}
sed -i -e 's,${exec_prefix}/lib,%{_libdir},' configure

%build
%configure --disable-static
make %{?_smp_mflags}
cd doc; make doc %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
chrpath --delete %{buildroot}%{_libdir}/lib%{name}_*.so*
find %{buildroot} -name '*.la' -delete
# remove test suite
rm %{buildroot}%{_bindir}/%{name}_*
rm -r %{buildroot}%{_datadir}/%{name}
chrpath --delete %{buildroot}%{_libdir}/lib%{name}.so*

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-1
- final 1.0.0 release

* Thu Dec 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta3
- beta 3 release

* Mon Nov 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta1
- efreet beta 1 release

* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.49898-1
- efreet 0.5.0.49898 snapshot release

* Tue Jun 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0-49539-1
- efreet 0.5.0.49539 snapshot release

* Tue Feb 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.063-1
- New upstream source 0.5.0.063

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.5.0.050-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.5.0.050-2
- rebuild with new openssl

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.043-1
- New upstream snapshot

* Fri May 16 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-3
- Test suite removed
- Added missing pkgconfig to efreet-devel requires

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-2
- Fixed missing dependencies for efreet-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-1
- Initial specfile for Efreet
